# -*- coding: utf-8 -*-
# log.py
import logging
import logging.handlers

handler = logging.handlers.RotatingFileHandler('error.log', maxBytes = 20000, backupCount = 1)
handler.setFormatter(logging.Formatter('[%(asctime)s] %(levelname)-8s %(message)s'))
log = logging.getLogger('')
log.addHandler(handler)
log.setLevel(logging.DEBUG)

debugLevel = 0
#0-5
#0 - never
#1 - devel
#2 - netlayer
#3 - incoming messages
#4 - parsed messages
#5 - all
    
def DoLog(message):
    print message
    log.error(message)
    
def debptint(msg, deblvl):
    if (deblvl <= debugLevel):
        print msg
