# -*- coding: utf-8 -*-
#turbouser.py

import wx
import base

class TU(base.Baselugin, wx.EvtHandler):
    def __init__(self,parent,modulename,active):
        base.Baselugin.__init__(self,parent,modulename,active)
        wx.EvtHandler.__init__(self)
        self.name = "turbouser mod %)"
        self.version = "version 1.0"
        self.description =u"""Позволяет отправлять сообщения по Ctrl+Enter."""
        self.status = u"Отправить: Ctrl+Enter"
        self.oldstatus = parent.frmChatWindow_statusbar.GetStatusText(1)
        self.Bind(wx.EVT_KEY_DOWN,self.OnKeyPress)
        self.SetActive(active)

    def SetActive(self,active = True):
        self.active = active
        parent = self.parentwindow
        if self.active:
            parent.frmChatWindow_statusbar.SetStatusText(self.status, 1)
            parent.txtSay.PushEventHandler(self)
        else:
            parent.frmChatWindow_statusbar.SetStatusText(self.oldstatus, 1)
            try:
                parent.txtSay.RemoveEventHandler(self)
            except:
                pass

    def OnKeyPress(self, event):
        key_code = event.GetKeyCode()
        if (key_code == wx.WXK_RETURN or key_code == wx.WXK_NUMPAD_ENTER):
            event.m_controlDown=not event.ControlDown()# 8-P
        event.Skip()