# -*- coding: utf-8 -*-
# soundu.py
import wx
import threading

MSG_TYPE_ARRIVE = 1
MSG_TYPE_LEAVE = 2
MSG_TYPE_PERSONAL = 3
MSG_TYPE_PRIVATE = 4
MSG_TYPE_OTHER = 5

soundBank = ['arrives','leaves','personal','private']

def __MsgSound(sndType):
    sound = wx.Sound('sound/' + soundBank[sndType-1] + '.wav')
    sound.Play(wx.SOUND_ASYNC)

def PlaySound(sndType, SndFlag):
    if (sndType!=MSG_TYPE_OTHER) and SndFlag:
        threading._start_new_thread(__MsgSound, (sndType,))
